Bug 515024 - KVM USB passthrough - device reset messages in host dmesg
KVM USB passthrough - device reset messages in host dmesg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-07-31 16:41 EDT by david ahern
Modified: 2010-12-01 23:04 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:57:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david ahern 2009-07-31 16:41:08 EDT
Description of problem:

USB messages flooding host logs when storage device passed to guest. A very short snippet to illustrate the messages and the frequency:

Jul 31 14:22:35 bldr-ccm20 kernel: usb 1-4: reset high speed USB device using ehci_hcd and address 3
Jul 31 14:22:35 bldr-ccm20 kernel: scsi246 : SCSI emulation for USB Mass Storage devices
Jul 31 14:22:35 bldr-ccm20 kernel: usb 1-4: reset high speed USB device using ehci_hcd and address 3
Jul 31 14:22:35 bldr-ccm20 kernel: scsi247 : SCSI emulation for USB Mass Storage devices
Jul 31 14:23:12 bldr-ccm20 kernel: usb 1-4: reset high speed USB device using ehci_hcd and address 3
Jul 31 14:23:12 bldr-ccm20 kernel: scsi248 : SCSI emulation for USB Mass Storage devices
Jul 31 14:23:12 bldr-ccm20 kernel: usb 1-4: reset high speed USB device using ehci_hcd and address 3
Jul 31 14:23:12 bldr-ccm20 kernel: scsi249 : SCSI emulation for USB Mass Storage devices
Jul 31 14:23:52 bldr-ccm20 kernel: usb 1-4: reset high speed USB device using ehci_hcd and address 3
Jul 31 14:23:52 bldr-ccm20 kernel: scsi250 : SCSI emulation for USB Mass Storage devices
Jul 31 14:23:52 bldr-ccm20 kernel: usb 1-4: reset high speed USB device using ehci_hcd and address 3
Jul 31 14:23:53 bldr-ccm20 kernel: scsi251 : SCSI emulation for USB Mass Storage devices
Jul 31 14:24:26 bldr-ccm20 kernel: usb 1-4: reset high speed USB device using ehci_hcd and address 3
Jul 31 14:24:26 bldr-ccm20 kernel: scsi252 : SCSI emulation for USB Mass Storage devices
Jul 31 14:24:27 bldr-ccm20 kernel: usb 1-4: reset high speed USB device using ehci_hcd and address 3
Jul 31 14:24:27 bldr-ccm20 kernel: scsi253 : SCSI emulation for USB Mass Storage devices
Jul 31 14:25:00 bldr-ccm20 kernel: usb 1-4: reset high speed USB device using ehci_hcd and address 3
Jul 31 14:25:00 bldr-ccm20 kernel: scsi254 : SCSI emulation for USB Mass Storage devices
Jul 31 14:25:01 bldr-ccm20 kernel: usb 1-4: reset high speed USB device using ehci_hcd and address 3
Jul 31 14:25:01 bldr-ccm20 kernel: scsi255 : SCSI emulation for USB Mass Storage devices

Version-Release number of selected component (if applicable):

Software versions:
qemu-kvm-tools-0.10.5-3.fc11.x86_64
qemu-img-0.10.5-3.fc11.x86_64
qemu-system-x86-0.10.5-3.fc11.x86_64
etherboot-zroms-kvm-5.4.4-16.fc11.noarch
qemu-kvm-0.10.5-3.fc11.x86_64
kernel-2.6.29.6-213.fc11.x86_64
qemu-common-0.10.5-3.fc11.x86_64

How reproducible:
Every time for me.

Steps to Reproduce:
1. launch qemu-kvm and pass a USB key to guest. For example:

qemu-kvm -localtime -no-reboot -m 2048 -smp 2 \
-drive file=/images/disk1.img,if=scsi,cache=none,boot=on \
-net nic,vlan=0,macaddr=00:11:22:33:44:55,model=e1000 \
-net tap,vlan=0,ifname=tap3,script=no,downscript=no \
-vnc :8 -cdrom /misc/boot.dsaks.v3.18.iso -boot dc \
-usb -usbdevice host:0951:1626


2. Have guest read/write to USB key. In my case, approximately 400MB were written - taking about 90 minutes to do so. Painfully slow, and I'm guessing the resets have something to do with that.


3. run dmesg on host (or look in syslog files)

Actual results:
repeated messages from scsi and usb-storage drivers
 

Expected results:

Additional info:
Comment 1 Mark McLoughlin 2009-08-10 09:23:53 EDT
Okay, I can reproduce something similar here. No idea yet what the cause is
Comment 2 Fedora Admin XMLRPC Client 2010-03-09 11:54:06 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2010-03-09 12:17:37 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2010-04-28 05:30:17 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 09:57:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Rob Riggs 2010-12-01 23:04:12 EST
This bug still occurs in Fedora 14.  Having this very issue with an iPod attached.

Note You need to log in before you can comment on or make changes to this bug.